cal.obj <- function(ests, dat, dims)
{ #  calculate objective values of mcia
  if (length(ests$b)!=dim(dat)[1])
  {
    mat.b = matrix(0, nrow=dim(dat)[1], ncol=dim(dat)[1])
    for (i in 1:length(dims))
    {
      ind1 = sum(dims[1:i]) - dims[i] + 1
      ind2 = sum(dims[1:i])
      mat.b = mat.b + dat[,ind1:ind2] %*% ests$a[[i]] %*% t(ests$a[[i]]) %*% t(dat[,ind1:ind2])
    }
    eig.res = eigs(mat.b, k=1)
    b = eig.res$vectors
  }else{
    b = ests$b
  }
  obj = 0
  for (i in 1:length(dims))
  {
    ind1 = sum(dims[1:i]) - dims[i] + 1
    ind2 = sum(dims[1:i])
    obj = obj + ( t(b)%*%dat[,ind1:ind2]%*%ests$a[[i]] )^2 
  }
  return(obj)
}