% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mCIA.R
\name{mCIA}
\alias{mCIA}
\title{Multiple Co-Inertia Analysis}
\usage{
mCIA(Tdat, ps)
}
\arguments{
\item{Tdat}{n-by-p concatenated matrix of transformed data, \tilde{\mathbf{X}}_1, \ldots, \tilde{\mathbf{X}}_K, where p=\sum_{i=k}^K p_i.}

\item{ps}{K-by-1 vector containing all dimensions of each dataset.}
}
\value{
This function returns a list object.
\item{a}{A length-K list contains the estimated loading vectors of K data matrices.}
\item{b}{A n-by-1 vector, the estimated synthetic reference vector.}
}
\description{
This function conduct multiple co-inertia analysis. This function esimate one set of loading vectors for a given datasets.
To estimate consequent loading vectors, put deflated datasets using previously estimated sets of loading vectors.
}
\examples{
library(pmCIA)
data(demoData)
single.data <- list(demoData$X1[1:200,],demoData$X2[1:200,], demoData$X3[1:200,])
ps <- unlist(lapply(data, function(x) dim(x)[2]) ) 
res.mCIA <- mCIA(single.data, ps)
}
\seealso{
\code{\link{l0pmCIA}}, \code{\link{cv.l0pmCIA}}, \code{\link{plot.pmCIA}}
}
