% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.pmCIA.R
\name{plot.pmCIA}
\alias{plot.pmCIA}
\title{Generate Multiple Co-Inertia Analysis Figure}
\usage{
\method{plot}{pmCIA}(res, ID, nlab = 20)
}
\arguments{
\item{res}{A list containing the result of pmCIA for more than equal to two sets of estimated loading vectors. First to elements are used to generate the figure.}

\item{ID}{A length-K list containing the variable names for each K dataset.}

\item{nlab}{A number of labels that is shown in the figure. First nlab variables that has absolute large values will be shown in red dot with label if supplied.}
}
\value{
This functoin returns K figures.
}
\description{
This function generates output plots of pmCIA. K plots corresponding to each K dataset are generated. The biggest
}
\examples{
library(pmCIA)
data(demoData)
s.gridpt <- genGridpt(s=c(50, 50, 50), 
                      edit = list(matrix(c(-10, 0, 10), ncol=1),matrix(c(-10, 0, 10), ncol=1),
                      matrix(c(-10, 0, 10), ncol=1)), 
                      n.steps=c(0,1,5))
n.gridpt <- genGridpt(s=c(50, 50, 50),
                       edit = list(matrix(c(-10, 0, 10), ncol=1),matrix(c(-10, 0, 10), ncol=1),
                       matrix(c(-10, 0, 10), ncol=1)),
                       n.steps=c(0,1,5), 
                       n.penalty = T, 
                       info.lambda = c(0,1,5,1))
single.data <- list(demoData$X1[1:200,],demoData$X2[1:200,], demoData$X3[1:200,])
ps <- unlist(lapply(data, function(x) dim(x)[2]) ) 
res.mCIA <- mCIA(single.data, ps)
IDs <- sapply(ps, function(x) 1:x) 
plot.pmCIA(res.mCIA, IDs)
}
\seealso{
\code{\link{mCIA}}, \code{\link{l0pmCIA}}, \code{\link{cv.l0pmCIA}}
}
